Get Forecast Kimber Losses

View as Markdown
GET/data/forecast/soiling/kimber

Get soiling loss forecasts using the Kimber model for the requested location from the present up to 14 days ahead.

Query Parameters

12 fields
latituderequired
number (double)

The latitude of the location (EPSG:4326). Must be between -90 and 90.

longituderequired
number (double)

The longitude of the location (EPSG:4326). Must be between -180 and 180.

hours
integer (int32)

Time window of the response in hours from 1 to 336. Default is 24.

period
string

Length of the averaging period in ISO 8601 duration format. Default is PT30M.

Accepted values
PT5M PT10M PT15M PT20M PT30M PT60M
time_zone
string

Timezone to return in data set. Accepted values are utc, longitudinal, or a range from -13 to 13 in 0.25 hour increments for utc offset. Default is utc.

cleaning_threshold
number (double)

Amount of daily rainfall required to clean the panels (mm). Default is 6.0. Accepted range is 0 to 100.

soiling_loss_rate
number (double)

Fraction of energy lost due to one day of soiling. Default is 0.0015.

grace_period
integer (int32)

Number of days after a rainfall event when it's assumed the ground is damp (0 to 100). Default is 14 days.

max_soiling
number (double)

Maximum fraction of energy lost due to soiling. Soiling will build up until this value (0 to 1). Default is 0.3.

initial_soiling
number (double)

Initial fraction of energy lost due to soiling at time zero in the rainfall series input (0 to 1). Default is 0.

manual_wash_dates
string[]

Optional. Default is none. A list of ISO_8601 compliant dates or a repeating interval when manual cleaning of the panels occurred. A list of dates example: [2025-01-01,2025-01-05,2025-01-10]. A repeating interval example: R3/2025-01-01T00:00:00Z/P14D. Wash dates outside of the start and end of the request are discarded.

format
string

Response format. Default is HTML if not supplied.

Accepted values
jsoncsv

Responses

200

OK

ForecastsDataResponse
forecasts
object[]optional

GET/data/forecast/soiling/kimber

Request
curl -X GET "https://api.solcast.com.au/data/forecast/soiling/kimber?latitude=-33.8567&longitude=151.2152&time_zone=<time_zone>&hours=24" \
  -H "Authorization: Bearer $API_KEY"
Response
live example
200
{
  "forecasts": [
    {
      "kimber_loss_fraction": 0,
      "period_end": "2026-07-30T01:00:00+00:00",
      "period": "PT60M"
    },
    {
      "kimber_loss_fraction": 0,
      "period_end": "2026-07-30T02:00:00+00:00",
      "period": "PT60M"
    },
    {
      "kimber_loss_fraction": 0,
      "period_end": "2026-07-30T03:00:00+00:00",
      "period": "PT60M"
    }
  ]
}

Get Live Kimber Losses

View as Markdown
GET/data/live/soiling/kimber

Get soiling loss estimated actuals using the Kimber model for near real-time and past 7 days for the requested location.

Query Parameters

12 fields
latituderequired
number (double)

The latitude of the location (EPSG:4326). Must be between -90 and 90.

longituderequired
number (double)

The longitude of the location (EPSG:4326). Must be between -180 and 180.

hours
integer (int32)

Time window of the response in hours from 1 to 336. Default is 24.

period
string

Length of the averaging period in ISO 8601 duration format. Default is PT30M.

Accepted values
PT5M PT10M PT15M PT20M PT30M PT60M
time_zone
string

Timezone to return in data set. Accepted values are utc, longitudinal, or a range from -13 to 13 in 0.25 hour increments for utc offset. Default is utc.

cleaning_threshold
number (double)

Amount of daily rainfall required to clean the panels (mm). Default is 6.0. Accepted range is 0 to 100.

soiling_loss_rate
number (double)

Fraction of energy lost due to one day of soiling. Default is 0.0015.

grace_period
integer (int32)

Number of days after a rainfall event when it's assumed the ground is damp (0 to 100). Default is 14 days.

max_soiling
number (double)

Maximum fraction of energy lost due to soiling. Soiling will build up until this value (0 to 1). Default is 0.3.

initial_soiling
number (double)

Initial fraction of energy lost due to soiling at time zero in the rainfall series input (0 to 1). Default is 0.

manual_wash_dates
string[]

Optional. Default is none. A list of ISO_8601 compliant dates or a repeating interval when manual cleaning of the panels occurred. A list of dates example: [2025-01-01,2025-01-05,2025-01-10]. A repeating interval example: R3/2025-01-01T00:00:00Z/P14D. Wash dates outside of the start and end of the request are discarded.

format
string

Response format. Default is HTML if not supplied.

Accepted values
jsoncsv

Responses

200

OK

EstimatedActualsDataResponse
estimated_actuals
object[]optional

GET/data/live/soiling/kimber

Request
curl -X GET "https://api.solcast.com.au/data/live/soiling/kimber?latitude=-33.8567&longitude=151.2152&time_zone=<time_zone>&hours=24" \
  -H "Authorization: Bearer $API_KEY"
Response
live example
200
{
  "estimated_actuals": [
    {
      "kimber_loss_fraction": 0,
      "period_end": "2026-07-30T00:00:00+00:00",
      "period": "PT60M"
    },
    {
      "kimber_loss_fraction": 0,
      "period_end": "2026-07-29T23:00:00+00:00",
      "period": "PT60M"
    },
    {
      "kimber_loss_fraction": 0,
      "period_end": "2026-07-29T22:00:00+00:00",
      "period": "PT60M"
    }
  ]
}

Get Historic Kimber Losses

View as Markdown
GET/data/historic/soiling/kimber

Get historical soiling loss using the Kimber model for up to 31 days of data at a time for a requested location. Data is available from 2007-01-01T00:00Z to 7 days ago.

Query Parameters

14 fields
latituderequired
number (double)

The latitude of the location (EPSG:4326). Must be between -90 and 90.

longituderequired
number (double)

The longitude of the location (EPSG:4326). Must be between -180 and 180.

startrequired
string

ISO_8601 compliant starting datetime for the historical data. If the supplied value does not specify a timezone, the timezone will be inferred from the time_zone parameter, if supplied. Otherwise UTC is assumed.

duration
string

ISO_8601 compliant duration for the historical data. Must be within 31 days of the start_date. Only one of end or duration should be part of the request.

end
string

ISO_8601 compliant ending datetime for the historical data. Must be within 31 days of the start_date. Only one of end or duration should be part of the request. If the supplied value does not specify a timezone, the timezone will be inferred from the time_zone parameter, if supplied. Otherwise UTC is assumed.

period
string

Length of the averaging period in ISO 8601 duration format. Default is PT30M.

Accepted values
PT5M PT10M PT15M PT20M PT30M PT60M
time_zone
string

Timezone to return in data set. Accepted values are utc, longitudinal, or a range from -13 to 13 in 0.25 hour increments for utc offset. Default is utc.

cleaning_threshold
number (double)

Amount of daily rainfall required to clean the panels (mm). Default is 6.0. Accepted range is 0 to 100.

soiling_loss_rate
number (double)

Fraction of energy lost due to one day of soiling. Default is 0.0015.

grace_period
integer (int32)

Number of days after a rainfall event when it's assumed the ground is damp (0 to 100). Default is 14 days.

max_soiling
number (double)

Maximum fraction of energy lost due to soiling. Soiling will build up until this value (0 to 1). Default is 0.3.

initial_soiling
number (double)

Initial fraction of energy lost due to soiling at time zero in the rainfall series input (0 to 1). Default is 0.

manual_wash_dates
string[]

Optional. Default is none. A list of ISO_8601 compliant dates or a repeating interval when manual cleaning of the panels occurred. A list of dates example: [2025-01-01,2025-01-05,2025-01-10]. A repeating interval example: R3/2025-01-01T00:00:00Z/P14D. Wash dates outside of the start and end of the request are discarded.

format
string

Response format. Default is HTML if not supplied.

Accepted values
jsoncsv

Responses

200

OK

EstimatedActualsDataResponse
estimated_actuals
object[]optional

GET/data/historic/soiling/kimber

Request
curl -X GET "https://api.solcast.com.au/data/historic/soiling/kimber?latitude=-33.8567&longitude=151.2152&start=2026-01-01&time_zone=<time_zone>&period=PT60M" \
  -H "Authorization: Bearer $API_KEY"
Response
live example
200
{
  "estimated_actuals": [
    {
      "kimber_loss_fraction": 0.0053,
      "period_end": "2026-01-01T00:00:00+00:00",
      "period": "PT60M"
    },
    {
      "kimber_loss_fraction": 0.0053,
      "period_end": "2026-01-01T01:00:00+00:00",
      "period": "PT60M"
    },
    {
      "kimber_loss_fraction": 0.0054,
      "period_end": "2026-01-01T02:00:00+00:00",
      "period": "PT60M"
    }
  ]
}

Get Forecast HSU Losses

View as Markdown
GET/data/forecast/soiling/hsu

Get soiling loss forecasts using the HSU model for the requested location from the present up to 14 days ahead.

Query Parameters

14 fields
latituderequired
number (double)

The latitude of the location you request data for. Must be a decimal number between -90 and 90.

longituderequired
number (double)

The longitude of the location you request data for. Must be a decimal number between -180 and 180.

hours
integer (int32)

Time window of the response in hours from 1 to 336. Default is 24.

period
string

Length of the averaging period in ISO 8601 duration format. Default is PT30M.

Accepted values
PT5M PT10M PT15M PT20M PT30M PT60M
time_zone
string

Timezone to return in data set. Accepted values are utc, longitudinal, or a range from -13 to 13 in 0.25 hour increments for utc offset. Default is utc.

depo_veloc_pm10
number (double)

Deposition or settling velocity of PM10 particulates. [m/s]. Default is 0.004.

depo_veloc_pm2_5
number (double)

Deposition or settling velocity of PM2.5 particulates. [m/s]. Default is 0.0009.

pm10
number[]

Restricted. A list of PM10 values. Concentration of airborne particulate matter (PM) with aerodynamic diameter less than 10 microns. [g/m^3]. HSU endpoint will internally use Solcast's PM10 values tailored to your request time period.

pm2_5
number[]

Restricted. Concentration of airborne particulate matter (PM) with aerodynamic diameter less than 2.5 microns. [g/m^3]. HSU endpoint will internally use Solcast's PM2.5 values tailored to your request time period.

tilt
number (double)

The angle (degrees) that the PV system is tilted off the horizontal. A tilt of 0 means the system faces directly upwards, and 90 means the system is vertical and facing the horizon. If you don't specify tilt, we use a default tilt angle based on the latitude you specify in your request. Must be between 0 and 90.

cleaning_threshold
number (double)

Amount of daily rainfall required to clean the panels (mm). Default is 1.0.

initial_soiling
number (double)

Initial percentage of energy lost due to soiling at time zero in the rainfall series input. If not provided, Solcast will perform a ramp up series calculation to accurately determine this value. If provided must be >= 0 and < 0.3437.

manual_wash_dates
string[]

Optional. Default is none. A list of ISO_8601 compliant dates or a repeating interval when manual cleaning of the panels occurred. A list of dates example: [2025-01-01,2025-01-05,2025-01-10]. A repeating interval example: R3/2025-01-01T00:00:00Z/P14D. Wash dates outside of the start and end of the request are discarded.

format
string

Response format. Default is HTML if not supplied.

Accepted values
jsoncsv

Responses

200

OK

ForecastsDataResponse
forecasts
object[]optional

GET/data/forecast/soiling/hsu

Request
curl -X GET "https://api.solcast.com.au/data/forecast/soiling/hsu?latitude=-33.8567&longitude=151.2152&time_zone=<time_zone>&hours=24" \
  -H "Authorization: Bearer $API_KEY"
Response
live example
200
{
  "forecasts": [
    {
      "hsu_loss_fraction": 0.0087,
      "period_end": "2026-07-30T01:00:00+00:00",
      "period": "PT60M"
    },
    {
      "hsu_loss_fraction": 0.0087,
      "period_end": "2026-07-30T02:00:00+00:00",
      "period": "PT60M"
    },
    {
      "hsu_loss_fraction": 0.0087,
      "period_end": "2026-07-30T03:00:00+00:00",
      "period": "PT60M"
    }
  ]
}

Get Live HSU Losses

View as Markdown
GET/data/live/soiling/hsu

Get soiling loss estimated actuals using the HSU model for near real-time and past 7 days for the requested location.

Query Parameters

14 fields
latituderequired
number (double)

The latitude of the location you request data for. Must be a decimal number between -90 and 90.

longituderequired
number (double)

The longitude of the location you request data for. Must be a decimal number between -180 and 180.

hours
integer (int32)

Time window of the response in hours from 1 to 336. Default is 24.

period
string

Length of the averaging period in ISO 8601 duration format. Default is PT30M.

Accepted values
PT5M PT10M PT15M PT20M PT30M PT60M
time_zone
string

Timezone to return in data set. Accepted values are utc, longitudinal, or a range from -13 to 13 in 0.25 hour increments for utc offset. Default is utc.

depo_veloc_pm10
number (double)

Deposition or settling velocity of PM10 particulates. [m/s]. Default is 0.004.

depo_veloc_pm2.5
number (double)

Deposition or settling velocity of PM2.5 particulates. [m/s]. Default is 0.0009.

pm10
number[]

Optional. Restricted list of PM10 values. Concentration of airborne particulate matter (PM) with aerodynamic diameter less than 10 microns. [g/m^3]. If not provided, HSU endpoint will internally use Solcast's PM10 values tailored to your request time period.

pm2.5
number[]

Optional. Restricted list of PM2.5 values. Concentration of airborne particulate matter (PM) with aerodynamic diameter less than 2.5 microns. [g/m^3]. If not provided, HSU endpoint will internally use Solcast's PM2.5 values tailored to your request time period.

tilt
number (double)

The angle (degrees) that the PV system is tilted off the horizontal. A tilt of 0 means the system faces directly upwards, and 90 means the system is vertical and facing the horizon. If you don't specify tilt, we use a default tilt angle based on the latitude you specify in your request. Must be between 0 and 90.

cleaning_threshold
number (double)

Amount of daily rainfall required to clean the panels (mm). Default is 1.0.

initial_soiling
number (double)

Initial percentage of energy lost due to soiling at time zero in the rainfall series input. If not provided, Solcast will perform a ramp up series calculation to accurately determine this value. If provided must be >= 0 and < 0.3437.

manual_wash_dates
string[]

Optional. Default is none. A list of ISO_8601 compliant dates or a repeating interval when manual cleaning of the panels occurred. A list of dates example: [2025-01-01,2025-01-05,2025-01-10]. A repeating interval example: R3/2025-01-01T00:00:00Z/P14D. Wash dates outside of the start and end of the request are discarded.

format
string

Response format

Accepted values
jsoncsv

Responses

200

OK

EstimatedActualsDataResponse
estimated_actuals
object[]optional

GET/data/live/soiling/hsu

Request
curl -X GET "https://api.solcast.com.au/data/live/soiling/hsu?latitude=-33.8567&longitude=151.2152&time_zone=<time_zone>&hours=24" \
  -H "Authorization: Bearer $API_KEY"
Response
live example
200
{
  "estimated_actuals": [
    {
      "hsu_loss_fraction": 0.0087,
      "period_end": "2026-07-30T00:00:00+00:00",
      "period": "PT60M"
    },
    {
      "hsu_loss_fraction": 0.0087,
      "period_end": "2026-07-29T23:00:00+00:00",
      "period": "PT60M"
    },
    {
      "hsu_loss_fraction": 0.0086,
      "period_end": "2026-07-29T22:00:00+00:00",
      "period": "PT60M"
    }
  ]
}

Get Historic HSU Losses

View as Markdown
GET/data/historic/soiling/hsu

Get historical soiling loss using the HSU model for up to 31 days of data at a time for a requested location. Data is available from 2007-01-01T00:00Z to 7 days ago.

Query Parameters

16 fields
latituderequired
number (double)

The latitude of the location you request data for. Must be a decimal number between -90 and 90.

longituderequired
number (double)

The longitude of the location you request data for. Must be a decimal number between -180 and 180.

startrequired
string

ISO_8601 compliant starting datetime for the historical data. If the supplied value does not specify a timezone, the timezone will be inferred from the time_zone parameter, if supplied. Otherwise UTC is assumed.

duration
string

ISO_8601 compliant duration for the historical data. Must be within 31 days of the start_date. Only one of end or duration should be part of the request.

end
string

ISO_8601 compliant ending datetime for the historical data. Must be within 31 days of the start_date. Only one of end or duration should be part of the request. If the supplied value does not specify a timezone, the timezone will be inferred from the time_zone parameter, if supplied. Otherwise UTC is assumed.

period
string

Length of the averaging period in ISO 8601 duration format. Default is PT30M.

Accepted values
PT5M PT10M PT15M PT20M PT30M PT60M
time_zone
string

Timezone to return in data set. Accepted values are utc, longitudinal, or a range from -13 to 13 in 0.25 hour increments for utc offset. Default is utc.

depo_veloc_pm10
number (double)

Deposition or settling velocity of PM10 particulates. [m/s]. Default is 0.004.

depo_veloc_pm2.5
number (double)

Deposition or settling velocity of PM2.5 particulates. [m/s]. Default is 0.0009.

pm10
number[]

Optional. Restricted list of PM10 values. Concentration of airborne particulate matter (PM) with aerodynamic diameter less than 10 microns. [g/m^3]. If not provided, HSU endpoint will internally use Solcast's PM10 values tailored to your request time period.

pm2.5
number[]

Optional. Restricted list of PM2.5 values. Concentration of airborne particulate matter (PM) with aerodynamic diameter less than 2.5 microns. [g/m^3]. If not provided, HSU endpoint will internally use Solcast's PM2.5 values tailored to your request time period.

tilt
number (double)

The angle (degrees) that the PV system is tilted off the horizontal. A tilt of 0 means the system faces directly upwards, and 90 means the system is vertical and facing the horizon. If you don't specify tilt, we use a default tilt angle based on the latitude you specify in your request. Must be between 0 and 90.

cleaning_threshold
number (double)

Amount of daily rainfall required to clean the panels (mm). Default is 1.0.

initial_soiling
number (double)

Initial percentage of energy lost due to soiling at time zero in the rainfall series input. If not provided, Solcast will perform a ramp up series calculation to accurately determine this value. If provided must be >= 0 and < 0.3437.

manual_wash_dates
string[]

Optional. Default is none. A list of ISO_8601 compliant dates or a repeating interval when manual cleaning of the panels occurred. A list of dates example: [2025-01-01,2025-01-05,2025-01-10]. A repeating interval example: R3/2025-01-01T00:00:00Z/P14D. Wash dates outside of the start and end of the request are discarded.

format
string

Response format. Default is HTML if not supplied.

Accepted values
jsoncsv

Responses

200

OK

EstimatedActualsDataResponse
estimated_actuals
object[]optional

GET/data/historic/soiling/hsu

Request
curl -X GET "https://api.solcast.com.au/data/historic/soiling/hsu?latitude=-33.8567&longitude=151.2152&start=2026-01-01&time_zone=<time_zone>&period=PT60M" \
  -H "Authorization: Bearer $API_KEY"
Response
live example
200
{
  "estimated_actuals": [
    {
      "hsu_loss_fraction": 0,
      "period_end": "2026-01-01T00:00:00+00:00",
      "period": "PT60M"
    },
    {
      "hsu_loss_fraction": 0,
      "period_end": "2026-01-01T01:00:00+00:00",
      "period": "PT60M"
    },
    {
      "hsu_loss_fraction": 0,
      "period_end": "2026-01-01T02:00:00+00:00",
      "period": "PT60M"
    }
  ]
}